Page Summary
-
The GET request to
https://displayvideo.googleapis.com/v1beta2/inventorySources/{inventorySourceId}is used to retrieve a specific inventory source. -
The request requires the
inventorySourceIdas a path parameter and thepartnerIdas a required query parameter. -
The request body for getting an inventory source must be empty.
-
A successful response returns an instance of the
InventorySourceobject in the response body. -
Access to this API call requires the
https://www.googleapis.com/auth/display-videoOAuth scope.
Gets an inventory source.
HTTP request
GET https://displayvideo.googleapis.com/v1beta2/inventorySources/{inventorySourceId}
The URL uses gRPC Transcoding syntax.
Path parameters
| Parameters | |
|---|---|
inventorySourceId |
Required. The ID of the inventory source to fetch. |
Query parameters
| Parameters | |
|---|---|
partnerId |
Required. The ID of the DV360 partner to which the fetched inventory source is permissioned. |
Request body
The request body must be empty.
Response body
If successful, the response body contains an instance of InventorySource.
Authorization Scopes
Requires the following OAuth scope:
https://www.googleapis.com/auth/display-video
For more information, see the OAuth 2.0 Overview.